GNU Octave on MacOS High Sierra FAILED

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

GNU Octave on MacOS High Sierra FAILED

Stéphane Weisse
Dear all,

I have got a MacMini 2010 with MacOS High Sierra Version.
I am trying to install the software GNU Octave from the Mac ports with latest version, and I get some issues :

Apparently there is a problem with the module « socklen », as I read in log files.

As described in wiki page (https://wiki.octave.org/Octave_for_macOS), I assume I have made the preliminary about the packages atlas and arpack. I launched the following installation command for Octave : sudo port install octave -accelerate+atlas (with admin rights).

I join you here also the config.log and main.log files so that you can analyze them and help to solve the problem.



I thank you for your effort in contributing of development and improvement of GNU Octave.

Best regards,
Stephane Weisse.



config.log (2M) Download Attachment
main.log (1M) Download Attachment
Reply | Threaded
Open this post in threaded view
|

Re: GNU Octave on MacOS High Sierra FAILED

Marius Schamschula-5
Stephane,

1) Have you tried installing octave (i.e. 4.4.1)?

From the main.log file I see you are trying to install octave-devel (5.0.0). octave-devel builds are often broken.

2) I have seen that there are issues with the accelerate framework (nothing new, the reason I used atlas myself). However, because of the way the macOS kernel time slices, atlas will fail to be properly optimized. 


I've stopped using atlas with El Capitan, as the maintainer has not updated it to current versions and supported newer gcc versions.

On Sep 11, 2018, at 4:03 PM, Stéphane Weisse <[hidden email]> wrote:

Dear all,

I have got a MacMini 2010 with MacOS High Sierra Version.
I am trying to install the software GNU Octave from the Mac ports with latest version, and I get some issues :

Apparently there is a problem with the module « socklen », as I read in log files.

As described in wiki page (https://wiki.octave.org/Octave_for_macOS), I assume I have made the preliminary about the packages atlas and arpack. I launched the following installation command for Octave : sudo port install octave -accelerate+atlas (with admin rights).

I join you here also the config.log and main.log files so that you can analyze them and help to solve the problem.
<config.log>
<main.log>

I thank you for your effort in contributing of development and improvement of GNU Octave.

Best regards,
Stephane Weisse.


Marius
--
Marius Schamschula